import ru.ifmo.testlib.*;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        inf.nextToken();
        int n = inf.nextInt();
        int k = inf.nextInt();
        for (int i = 1; i <= k; ++i) {
            int cAns = ouf.nextInt();
            int jAns = ans.nextInt();
            if (cAns != jAns)
                return new Outcome(Type.WA, String.format("Contestant answer is wrong for j = " + i + ": expected = %d, found = %d", jAns, cAns));
        }
        return new Outcome(Type.OK, "Jury has same answer");
    }
}

