#include<bits/stdc++.h>
using namespace std;

int n;

int distance(int a, int b) 
{
    return min((n + a - b) % n, (n + b - a) % n);
}

int main()
{
    freopen("stairs.in", "rt", stdin);
    freopen("stairs.out", "wt", stdout);
    int m;
    cin >> n >> m;
    set<int> stairs;
    for (int i = 0; i < n; i++)
        stairs.insert(i);
    while (m--)
    {
        int type;
        cin >> type;
        if (type == 1)
        {
            int stair;
            cin >> stair;
            stair--;
            stairs.erase(stair);
        }
        else
        {
            int from, to;
            cin >> from >> to;
            from--;
            to--;
            if (stairs.find(from) != stairs.end())
            {
                cout << distance(from, to) << endl;
                continue;
            }
            set<int>::iterator left = stairs.lower_bound(from);
            if (left == stairs.begin())
                left = stairs.end();
            left--;
            set<int>::iterator right = stairs.lower_bound(from);
            if (right == stairs.end())
                right = stairs.begin();
            //cerr << *left <<  ' '  << *right << endl;
            int res = min(distance(from, *left) + distance(*left, to), distance(from, *right) + distance(*right, to));
            cout << res << endl;
        }
    }
}